Skip to main content
Resource Center/Network Resource/L3 Network Operations

GetIpAddressCapacity

GetIpAddressCapacity

GET/zstack/v1/ip-capacity

Operation ID

GetIpAddressCapacity

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • zoneUuids
    List

    Optional. The zone UUIDs.

  • l3NetworkUuids
    List

    Optional. The L3 network UUIDs.

  • ipRangeUuids
    List

    Optional. The IP range UUIDs.

  • all
    boolean

    Optional. Global settings.

  • systemTags
    List

    Optional. The system tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • totalCapacity
    longRequired

    The total IP capacity.

  • availableCapacity
    longRequired

    The available IP capacity.

  • usedIpAddressNumber
    LongRequired

    The number of used IP addresses.

  • ipv4TotalCapacity
    longRequired

    The IPv4 address capacity.

  • ipv4AvailableCapacity
    longRequired

    The available IPv4 address capacity.

  • ipv4UsedIpAddressNumber
    longRequired

    The number of used IPv4 addresses.

  • ipv6TotalCapacity
    longRequired

    The IPv6 address capacity.

  • ipv6AvailableCapacity
    longRequired

    The available IPv6 address capacity.

  • ipv6UsedIpAddressNumber
    longRequired

    The number of used IPv6 addresses.

  • resourceType
    StringRequired

    The type of the queried resources, such as the IP range, L3 network, and zone.

  • success
    booleanRequired

    Whether the API succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • capacityData
    ListRequired

    See capacityData.

    • resourceUuid
      StringRequired

      The resource UUID.

    • totalCapacity
      longRequired

      The total IP capacity.

    • availableCapacity
      longRequired

      The available IP capacity.

    • usedIpAddressNumber
      longRequired

      The number of used IP addresses.

    • ipv4TotalCapacity
      longRequired

      The total IPv4 address capacity.

    • ipv4AvailableCapacity
      longRequired

      The available IPv4 address capacity.

    • ipv4UsedIpAddressNumber
      longRequired

      The used IPv4 address capacity.

    • ipv6TotalCapacity
      longRequired

      The total IPv6 address capacity.

    • ipv6AvailableCapacity
      longRequired

      The available IPv6 address capacity.

    • ipv6UsedIpAddressNumber
      longRequired

      The used IPv6 address capacity.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.